%global _empty_manifest_terminate_build 0
%global with_doc 1

Name:       python-neutronclient
Version:    7.3.0
Release:    3
Summary:    Python API and CLI for OpenStack Neutron

License:    Apache-2.0
URL:        http://launchpad.net/python-neutronclient/
Source0:    https://files.pythonhosted.org/packages/source/p/python-neutronclient/python-neutronclient-7.3.0.tar.gz
BuildArch:  noarch
%description
Client library and command line utility for interacting with OpenStack Neutron's API

%package -n python3-neutronclient
Summary:    Python API and CLI for OpenStack Neutron
%{?python_provide:%python_provide python3-neutronclient}

BuildRequires: git
BuildRequires: openstack-macros
BuildRequires: python3-devel
BuildRequires: python3-setuptools
BuildRequires: python3-pbr
BuildRequires: python3-pip
BuildRequires: python3-osc-lib
BuildRequires: python3-oslotest
BuildRequires: python3-testtools
BuildRequires: python3-testrepository
BuildRequires: python3-testscenarios
BuildRequires: python3-keystoneauth1
BuildRequires: python3-keystoneclient
BuildRequires: python3-os-client-config
BuildRequires: python3-oslo-log
BuildRequires: python3-oslo-serialization
BuildRequires: python3-oslo-utils == 4.8.0
BuildRequires: python3-cliff

Requires: python3-iso8601
Requires: python3-os-client-config
Requires: python3-oslo-i18n
Requires: python3-oslo-log
Requires: python3-oslo-serialization
Requires: python3-oslo-utils == 4.8.0
Requires: python3-pbr
Requires: python3-requests
Requires: python3-debtcollector
Requires: python3-osc-lib
Requires: python3-keystoneauth1
Requires: python3-keystoneclient
Requires: python3-cliff
Requires: python3-netaddr
Requires: python3-simplejson

%description -n python3-neutronclient
Client library and command line utility for interacting with OpenStack Neutron's API

%if 0%{?with_doc}
%package doc
Summary:          Documentation for OpenStack Neutron API Client

BuildRequires:    python3-sphinx
BuildRequires:    python3-openstackdocstheme
BuildRequires:    python3-reno

%description      doc
Client library and command line utility for interacting with OpenStack Neutron's API
%endif

%prep
%autosetup -n python-neutronclient-%{version}
%py_req_cleanup

%build
%{py3_build}

%if 0%{?with_doc}
export PYTHONPATH=.
sphinx-build -b html doc/source doc/build/html
rm -rf doc/build/html/.doctrees doc/build/html/.buildinfo
%endif

%install
%{py3_install}

ln -s neutron %{buildroot}%{_bindir}/neutron-3

%check
%{__python3} setup.py testr || true

%files -n python3-neutronclient
%doc README.rst
%license LICENSE
%{python3_sitelib}/neutronclient
%{python3_sitelib}/*.egg-info
%{_bindir}/neutron
%{_bindir}/neutron-3

%if 0%{?with_doc}
%files doc
%doc doc/build/html
%license LICENSE
%endif

%changelog
* Thu Mar 02 2023 OpenStack_SIG <openstack@openeuler.org> - 7.3.0-3
- Fix install error

* Fri Aug 13 2021 wangxiyuan <wangxiyuan1007@gmail.com> - 7.3.0-2
- Remove tests package

* Thu Jul 15 2021 huangtianhua <huangtianhua@huawei.com> - 7.3.0-1
- Upgrade to 7.3.0 to support OpenStack-W

* Thu Jan 12 2021 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
